Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Lists the Unity Catalog model provider services that are visible to the current principal in a schema. Secret values are not returned.
Example Usage
The following example lists model provider services in the main.default schema:
import * as pulumi from "@pulumi/pulumi";
import * as databricks from "@pulumi/databricks";
const all = databricks.getAiGatewayModelProviderServices({
parent: "schemas/main.default",
});
export const modelProviderServices = all.then(all => all.modelProviderServices);
import pulumi
import pulumi_databricks as databricks
all = databricks.get_ai_gateway_model_provider_services(parent="schemas/main.default")
pulumi.export("modelProviderServices", all.model_provider_services)
package main
import (
"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
all, err := databricks.GetAiGatewayModelProviderServices(ctx, &databricks.GetAiGatewayModelProviderServicesArgs{
Parent: pulumi.StringRef("schemas/main.default"),
}, nil)
if err != nil {
return err
}
ctx.Export("modelProviderServices", all.ModelProviderServices)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Databricks = Pulumi.Databricks;
return await Deployment.RunAsync(() =>
{
var all = Databricks.GetAiGatewayModelProviderServices.Invoke(new()
{
Parent = "schemas/main.default",
});
return new Dictionary<string, object?>
{
["modelProviderServices"] = all.Apply(getAiGatewayModelProviderServicesResult => getAiGatewayModelProviderServicesResult.ModelProviderServices),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.databricks.DatabricksFunctions;
import com.pulumi.databricks.inputs.GetAiGatewayModelProviderServicesArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var all = DatabricksFunctions.getAiGatewayModelProviderServices(GetAiGatewayModelProviderServicesArgs.builder()
.parent("schemas/main.default")
.build());
ctx.export("modelProviderServices", all.modelProviderServices());
}
}
variables:
all:
fn::invoke:
function: databricks:getAiGatewayModelProviderServices
arguments:
parent: schemas/main.default
outputs:
modelProviderServices: ${all.modelProviderServices}
terraform {
required_providers {
databricks = {
source = "pulumi/databricks"
}
}
}
data "databricks_ai_gateway_model_provider_services" "all" {
parent = "schemas/main.default"
}
output "modelProviderServices" {
value = data.databricks_ai_gateway_model_provider_services.all.model_provider_services
}
Using getAiGatewayModelProviderServices
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAiGatewayModelProviderServices(args: GetAiGatewayModelProviderServicesArgs, opts?: InvokeOptions): Promise<GetAiGatewayModelProviderServicesResult>
function getAiGatewayModelProviderServicesOutput(args: GetAiGatewayModelProviderServicesOutputArgs, opts?: InvokeOutputOptions): Output<GetAiGatewayModelProviderServicesResult>def get_ai_gateway_model_provider_services(page_size: Optional[int] = None,
parent: Optional[str] = None,
provider_config: Optional[GetAiGatewayModelProviderServicesProviderConfig] = None,
view: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetAiGatewayModelProviderServicesResult
def get_ai_gateway_model_provider_services_output(page_size: pulumi.Input[Optional[int]] = None,
parent: pulumi.Input[Optional[str]] = None,
provider_config: pulumi.Input[Optional[GetAiGatewayModelProviderServicesProviderConfigArgs]] = None,
view: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetAiGatewayModelProviderServicesResult]func GetAiGatewayModelProviderServices(ctx *Context, args *GetAiGatewayModelProviderServicesArgs, opts ...InvokeOption) (*GetAiGatewayModelProviderServicesResult, error)
func GetAiGatewayModelProviderServicesOutput(ctx *Context, args *GetAiGatewayModelProviderServicesOutputArgs, opts ...InvokeOption) GetAiGatewayModelProviderServicesResultOutput> Note: This function is named GetAiGatewayModelProviderServices in the Go SDK.
public static class GetAiGatewayModelProviderServices
{
public static Task<GetAiGatewayModelProviderServicesResult> InvokeAsync(GetAiGatewayModelProviderServicesArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayModelProviderServicesResult> Invoke(GetAiGatewayModelProviderServicesInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayModelProviderServicesResult> Invoke(GetAiGatewayModelProviderServicesInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetAiGatewayModelProviderServicesResult> getAiGatewayModelProviderServices(GetAiGatewayModelProviderServicesArgs args, InvokeOptions options)
public static Output<GetAiGatewayModelProviderServicesResult> getAiGatewayModelProviderServices(GetAiGatewayModelProviderServicesArgs args, InvokeOptions options)
public static Output<GetAiGatewayModelProviderServicesResult> getAiGatewayModelProviderServices(GetAiGatewayModelProviderServicesArgs args, InvokeOutputOptions options)
fn::invoke:
function: databricks:index/getAiGatewayModelProviderServices:getAiGatewayModelProviderServices
arguments:
# arguments dictionarydata "databricks_get_ai_gateway_model_provider_services" "name" {
# arguments
}The following arguments are supported:
- Page
Size int - Maximum number of provider services to return. Defaults to 100 when unset or
0; the maximum is 100. Use
pageTokento retrieve additional pages - Parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - Provider
Config GetAi Gateway Model Provider Services Provider Config - Configure the provider for management through account provider.
- View string
- Fields to return for each service.
FULLincludes resolved service-credential and inference-table details and rate-limit principal names.BASIComits those details and principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- Page
Size int - Maximum number of provider services to return. Defaults to 100 when unset or
0; the maximum is 100. Use
pageTokento retrieve additional pages - Parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - Provider
Config GetAi Gateway Model Provider Services Provider Config - Configure the provider for management through account provider.
- View string
- Fields to return for each service.
FULLincludes resolved service-credential and inference-table details and rate-limit principal names.BASIComits those details and principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page_
size number - Maximum number of provider services to return. Defaults to 100 when unset or
0; the maximum is 100. Use
pageTokento retrieve additional pages - parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider_
config object - Configure the provider for management through account provider.
- view string
- Fields to return for each service.
FULLincludes resolved service-credential and inference-table details and rate-limit principal names.BASIComits those details and principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page
Size Integer - Maximum number of provider services to return. Defaults to 100 when unset or
0; the maximum is 100. Use
pageTokento retrieve additional pages - parent String
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider
Config GetAi Gateway Model Provider Services Provider Config - Configure the provider for management through account provider.
- view String
- Fields to return for each service.
FULLincludes resolved service-credential and inference-table details and rate-limit principal names.BASIComits those details and principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page
Size number - Maximum number of provider services to return. Defaults to 100 when unset or
0; the maximum is 100. Use
pageTokento retrieve additional pages - parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider
Config GetAi Gateway Model Provider Services Provider Config - Configure the provider for management through account provider.
- view string
- Fields to return for each service.
FULLincludes resolved service-credential and inference-table details and rate-limit principal names.BASIComits those details and principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page_
size int - Maximum number of provider services to return. Defaults to 100 when unset or
0; the maximum is 100. Use
pageTokento retrieve additional pages - parent str
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider_
config GetAi Gateway Model Provider Services Provider Config - Configure the provider for management through account provider.
- view str
- Fields to return for each service.
FULLincludes resolved service-credential and inference-table details and rate-limit principal names.BASIComits those details and principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page
Size Number - Maximum number of provider services to return. Defaults to 100 when unset or
0; the maximum is 100. Use
pageTokento retrieve additional pages - parent String
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider
Config Property Map - Configure the provider for management through account provider.
- view String
- Fields to return for each service.
FULLincludes resolved service-credential and inference-table details and rate-limit principal names.BASIComits those details and principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
getAiGatewayModelProviderServices Result
The following output properties are available:
- Model
Provider List<GetServices Ai Gateway Model Provider Services Model Provider Service> - Page
Size int - Parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - Provider
Config GetAi Gateway Model Provider Services Provider Config - View string
- Model
Provider []GetServices Ai Gateway Model Provider Services Model Provider Service - Page
Size int - Parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - Provider
Config GetAi Gateway Model Provider Services Provider Config - View string
- model_
provider_ list(object)services - page_
size number - parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - provider_
config object - view string
- model
Provider List<GetServices Ai Gateway Model Provider Services Model Provider Service> - page
Size Integer - parent String
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - provider
Config GetAi Gateway Model Provider Services Provider Config - view String
- model
Provider GetServices Ai Gateway Model Provider Services Model Provider Service[] - page
Size number - parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - provider
Config GetAi Gateway Model Provider Services Provider Config - view string
- model_
provider_ Sequence[Getservices Ai Gateway Model Provider Services Model Provider Service] - page_
size int - parent str
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - provider_
config GetAi Gateway Model Provider Services Provider Config - view str
- model
Provider List<Property Map>Services - page
Size Number - parent String
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - provider
Config Property Map - view String
Supporting Types
GetAiGatewayModelProviderServicesModelProviderService
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Model Provider Services Model Provider Service Config - (ModelProviderServiceConfig) - Provider authentication, exposed models, request-forwarding controls, rate
limits, and payload logging. Required on Create. On Update, it is required
only when
configor one of its subpaths appears inupdateMask - Create
Time string - (string) - Time the provider service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the model provider service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the provider service
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name - Update
Time string - (string) - Time the provider service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Model Provider Services Model Provider Service Provider Config - Configure the provider for management through account provider.
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Model Provider Services Model Provider Service Config - (ModelProviderServiceConfig) - Provider authentication, exposed models, request-forwarding controls, rate
limits, and payload logging. Required on Create. On Update, it is required
only when
configor one of its subpaths appears inupdateMask - Create
Time string - (string) - Time the provider service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the model provider service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the provider service
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name - Update
Time string - (string) - Time the provider service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Model Provider Services Model Provider Service Provider Config - Configure the provider for management through account provider.
- comment string
- (string) - User-provided description
- config object
- (ModelProviderServiceConfig) - Provider authentication, exposed models, request-forwarding controls, rate
limits, and payload logging. Required on Create. On Update, it is required
only when
configor one of its subpaths appears inupdateMask - create_
time string - (string) - Time the provider service was created
- created_
by string - (string) - Creator identity
- effective_
owner string - (string) - Owner of the model provider service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id string - (string) - Metastore hosting the provider service
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name - update_
time string - (string) - Time the provider service was last modified
- updated_
by string - (string) - Identity of the last updater
- provider_
config object - Configure the provider for management through account provider.
- comment String
- (string) - User-provided description
- config
Get
Ai Gateway Model Provider Services Model Provider Service Config - (ModelProviderServiceConfig) - Provider authentication, exposed models, request-forwarding controls, rate
limits, and payload logging. Required on Create. On Update, it is required
only when
configor one of its subpaths appears inupdateMask - create
Time String - (string) - Time the provider service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the model provider service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the provider service
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name - update
Time String - (string) - Time the provider service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config GetAi Gateway Model Provider Services Model Provider Service Provider Config - Configure the provider for management through account provider.
- comment string
- (string) - User-provided description
- config
Get
Ai Gateway Model Provider Services Model Provider Service Config - (ModelProviderServiceConfig) - Provider authentication, exposed models, request-forwarding controls, rate
limits, and payload logging. Required on Create. On Update, it is required
only when
configor one of its subpaths appears inupdateMask - create
Time string - (string) - Time the provider service was created
- created
By string - (string) - Creator identity
- effective
Owner string - (string) - Owner of the model provider service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id string - (string) - Metastore hosting the provider service
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name - update
Time string - (string) - Time the provider service was last modified
- updated
By string - (string) - Identity of the last updater
- provider
Config GetAi Gateway Model Provider Services Model Provider Service Provider Config - Configure the provider for management through account provider.
- comment str
- (string) - User-provided description
- config
Get
Ai Gateway Model Provider Services Model Provider Service Config - (ModelProviderServiceConfig) - Provider authentication, exposed models, request-forwarding controls, rate
limits, and payload logging. Required on Create. On Update, it is required
only when
configor one of its subpaths appears inupdateMask - create_
time str - (string) - Time the provider service was created
- created_
by str - (string) - Creator identity
- effective_
owner str - (string) - Owner of the model provider service
- etag str
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id str - (string) - Metastore hosting the provider service
- name str
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name - update_
time str - (string) - Time the provider service was last modified
- updated_
by str - (string) - Identity of the last updater
- provider_
config GetAi Gateway Model Provider Services Model Provider Service Provider Config - Configure the provider for management through account provider.
- comment String
- (string) - User-provided description
- config Property Map
- (ModelProviderServiceConfig) - Provider authentication, exposed models, request-forwarding controls, rate
limits, and payload logging. Required on Create. On Update, it is required
only when
configor one of its subpaths appears inupdateMask - create
Time String - (string) - Time the provider service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the model provider service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the provider service
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name - update
Time String - (string) - Time the provider service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config Property Map - Configure the provider for management through account provider.
GetAiGatewayModelProviderServicesModelProviderServiceConfig
- Allow
All boolTargets - (boolean) - When true, accepts any model exposed by the upstream provider;
targetsis not required and does not restrict routability. When false, only models listed intargetsare routable. Defaults to false - Amazon
Bedrock GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock - (ModelProviderServiceConfigAmazonBedrockProviderConfig)
- Anthropic
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic - (ModelProviderServiceConfigAnthropicProviderConfig)
- Azure
Openai GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai - (ModelProviderServiceConfigAzureOpenAiProviderConfig)
- Custom
Get
Ai Gateway Model Provider Services Model Provider Service Config Custom - (ModelProviderServiceConfigCustomProviderConfig)
- Forward
Headers bool - (boolean) - Whether to forward incoming HTTP headers to the upstream provider. Defaults to false and is configured for the entire provider service, not per request. Upstream authentication is configured separately in the provider-specific configuration
- Forward
Query boolParameters - (boolean) - Whether to forward incoming query parameters to the upstream provider. Defaults to false and is configured for the entire provider service, not per request
- Forward
Unmanaged boolPaths - (boolean) - Whether to proxy paths that AI Gateway does not recognize as configured provider-native API types. Defaults to false. When true, these paths are forwarded unchanged to the upstream provider. When false, only recognized API paths are served. Enabling this broadens the upstream API surface exposed through the provider service
- Gemini
Enterprise GetAi Gateway Model Provider Services Model Provider Service Config Gemini Enterprise - (ModelProviderServiceConfigGeminiEnterpriseProviderConfig)
- Inference
Table GetAi Gateway Model Provider Services Model Provider Service Config Inference Table - (InferenceTableConfig) - Payload logging configuration for requests sent directly to this provider service. Requests routed through a model service are captured by that model service's inference table instead
- Microsoft
Foundry GetAi Gateway Model Provider Services Model Provider Service Config Microsoft Foundry - (ModelProviderServiceConfigMicrosoftFoundryProviderConfig)
- Openai
Get
Ai Gateway Model Provider Services Model Provider Service Config Openai - (ModelProviderServiceConfigOpenAiProviderConfig)
- Provider
Type string - (string) - External model provider. Required on Create and immutable thereafter. Set
the matching provider-specific configuration, such as
openai,azureOpenai, oramazonBedrock. Possible values are:EXTERNAL_MODEL_PROVIDER_TYPE_AMAZON_BEDROCK,EXTERNAL_MODEL_PROVIDER_TYPE_ANTHROPIC,EXTERNAL_MODEL_PROVIDER_TYPE_AZURE_OPENAI,EXTERNAL_MODEL_PROVIDER_TYPE_CUSTOM,EXTERNAL_MODEL_PROVIDER_TYPE_GEMINI_ENTERPRISE,EXTERNAL_MODEL_PROVIDER_TYPE_MICROSOFT_FOUNDRY,EXTERNAL_MODEL_PROVIDER_TYPE_OPENAI - Rate
Limits List<GetAi Gateway Model Provider Services Model Provider Service Config Rate Limit> - (list of RateLimit) - Rate limits for requests sent directly to this provider service. Requests routed through a model service use that model service's rate limits instead
- Targets
List<Get
Ai Gateway Model Provider Services Model Provider Service Config Target> - (list of ModelProviderServiceConfigModelTargetConfig) - Models and provider-native API types exposed by this provider service. Each
entry must include at least one
nativeApiTypesvalue. WhenallowAllTargetsis false, at least one entry is required and model service destinations can reference only listed models. WhenallowAllTargetsis true, any upstream model is routable; entries in this list provide API-type metadata without restricting other models
- Allow
All boolTargets - (boolean) - When true, accepts any model exposed by the upstream provider;
targetsis not required and does not restrict routability. When false, only models listed intargetsare routable. Defaults to false - Amazon
Bedrock GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock - (ModelProviderServiceConfigAmazonBedrockProviderConfig)
- Anthropic
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic - (ModelProviderServiceConfigAnthropicProviderConfig)
- Azure
Openai GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai - (ModelProviderServiceConfigAzureOpenAiProviderConfig)
- Custom
Get
Ai Gateway Model Provider Services Model Provider Service Config Custom - (ModelProviderServiceConfigCustomProviderConfig)
- Forward
Headers bool - (boolean) - Whether to forward incoming HTTP headers to the upstream provider. Defaults to false and is configured for the entire provider service, not per request. Upstream authentication is configured separately in the provider-specific configuration
- Forward
Query boolParameters - (boolean) - Whether to forward incoming query parameters to the upstream provider. Defaults to false and is configured for the entire provider service, not per request
- Forward
Unmanaged boolPaths - (boolean) - Whether to proxy paths that AI Gateway does not recognize as configured provider-native API types. Defaults to false. When true, these paths are forwarded unchanged to the upstream provider. When false, only recognized API paths are served. Enabling this broadens the upstream API surface exposed through the provider service
- Gemini
Enterprise GetAi Gateway Model Provider Services Model Provider Service Config Gemini Enterprise - (ModelProviderServiceConfigGeminiEnterpriseProviderConfig)
- Inference
Table GetAi Gateway Model Provider Services Model Provider Service Config Inference Table - (InferenceTableConfig) - Payload logging configuration for requests sent directly to this provider service. Requests routed through a model service are captured by that model service's inference table instead
- Microsoft
Foundry GetAi Gateway Model Provider Services Model Provider Service Config Microsoft Foundry - (ModelProviderServiceConfigMicrosoftFoundryProviderConfig)
- Openai
Get
Ai Gateway Model Provider Services Model Provider Service Config Openai - (ModelProviderServiceConfigOpenAiProviderConfig)
- Provider
Type string - (string) - External model provider. Required on Create and immutable thereafter. Set
the matching provider-specific configuration, such as
openai,azureOpenai, oramazonBedrock. Possible values are:EXTERNAL_MODEL_PROVIDER_TYPE_AMAZON_BEDROCK,EXTERNAL_MODEL_PROVIDER_TYPE_ANTHROPIC,EXTERNAL_MODEL_PROVIDER_TYPE_AZURE_OPENAI,EXTERNAL_MODEL_PROVIDER_TYPE_CUSTOM,EXTERNAL_MODEL_PROVIDER_TYPE_GEMINI_ENTERPRISE,EXTERNAL_MODEL_PROVIDER_TYPE_MICROSOFT_FOUNDRY,EXTERNAL_MODEL_PROVIDER_TYPE_OPENAI - Rate
Limits []GetAi Gateway Model Provider Services Model Provider Service Config Rate Limit - (list of RateLimit) - Rate limits for requests sent directly to this provider service. Requests routed through a model service use that model service's rate limits instead
- Targets
[]Get
Ai Gateway Model Provider Services Model Provider Service Config Target - (list of ModelProviderServiceConfigModelTargetConfig) - Models and provider-native API types exposed by this provider service. Each
entry must include at least one
nativeApiTypesvalue. WhenallowAllTargetsis false, at least one entry is required and model service destinations can reference only listed models. WhenallowAllTargetsis true, any upstream model is routable; entries in this list provide API-type metadata without restricting other models
- allow_
all_ booltargets - (boolean) - When true, accepts any model exposed by the upstream provider;
targetsis not required and does not restrict routability. When false, only models listed intargetsare routable. Defaults to false - amazon_
bedrock object - (ModelProviderServiceConfigAmazonBedrockProviderConfig)
- anthropic object
- (ModelProviderServiceConfigAnthropicProviderConfig)
- azure_
openai object - (ModelProviderServiceConfigAzureOpenAiProviderConfig)
- custom object
- (ModelProviderServiceConfigCustomProviderConfig)
- forward_
headers bool - (boolean) - Whether to forward incoming HTTP headers to the upstream provider. Defaults to false and is configured for the entire provider service, not per request. Upstream authentication is configured separately in the provider-specific configuration
- forward_
query_ boolparameters - (boolean) - Whether to forward incoming query parameters to the upstream provider. Defaults to false and is configured for the entire provider service, not per request
- forward_
unmanaged_ boolpaths - (boolean) - Whether to proxy paths that AI Gateway does not recognize as configured provider-native API types. Defaults to false. When true, these paths are forwarded unchanged to the upstream provider. When false, only recognized API paths are served. Enabling this broadens the upstream API surface exposed through the provider service
- gemini_
enterprise object - (ModelProviderServiceConfigGeminiEnterpriseProviderConfig)
- inference_
table object - (InferenceTableConfig) - Payload logging configuration for requests sent directly to this provider service. Requests routed through a model service are captured by that model service's inference table instead
- microsoft_
foundry object - (ModelProviderServiceConfigMicrosoftFoundryProviderConfig)
- openai object
- (ModelProviderServiceConfigOpenAiProviderConfig)
- provider_
type string - (string) - External model provider. Required on Create and immutable thereafter. Set
the matching provider-specific configuration, such as
openai,azureOpenai, oramazonBedrock. Possible values are:EXTERNAL_MODEL_PROVIDER_TYPE_AMAZON_BEDROCK,EXTERNAL_MODEL_PROVIDER_TYPE_ANTHROPIC,EXTERNAL_MODEL_PROVIDER_TYPE_AZURE_OPENAI,EXTERNAL_MODEL_PROVIDER_TYPE_CUSTOM,EXTERNAL_MODEL_PROVIDER_TYPE_GEMINI_ENTERPRISE,EXTERNAL_MODEL_PROVIDER_TYPE_MICROSOFT_FOUNDRY,EXTERNAL_MODEL_PROVIDER_TYPE_OPENAI - rate_
limits list(object) - (list of RateLimit) - Rate limits for requests sent directly to this provider service. Requests routed through a model service use that model service's rate limits instead
- targets list(object)
- (list of ModelProviderServiceConfigModelTargetConfig) - Models and provider-native API types exposed by this provider service. Each
entry must include at least one
nativeApiTypesvalue. WhenallowAllTargetsis false, at least one entry is required and model service destinations can reference only listed models. WhenallowAllTargetsis true, any upstream model is routable; entries in this list provide API-type metadata without restricting other models
- allow
All BooleanTargets - (boolean) - When true, accepts any model exposed by the upstream provider;
targetsis not required and does not restrict routability. When false, only models listed intargetsare routable. Defaults to false - amazon
Bedrock GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock - (ModelProviderServiceConfigAmazonBedrockProviderConfig)
- anthropic
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic - (ModelProviderServiceConfigAnthropicProviderConfig)
- azure
Openai GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai - (ModelProviderServiceConfigAzureOpenAiProviderConfig)
- custom
Get
Ai Gateway Model Provider Services Model Provider Service Config Custom - (ModelProviderServiceConfigCustomProviderConfig)
- forward
Headers Boolean - (boolean) - Whether to forward incoming HTTP headers to the upstream provider. Defaults to false and is configured for the entire provider service, not per request. Upstream authentication is configured separately in the provider-specific configuration
- forward
Query BooleanParameters - (boolean) - Whether to forward incoming query parameters to the upstream provider. Defaults to false and is configured for the entire provider service, not per request
- forward
Unmanaged BooleanPaths - (boolean) - Whether to proxy paths that AI Gateway does not recognize as configured provider-native API types. Defaults to false. When true, these paths are forwarded unchanged to the upstream provider. When false, only recognized API paths are served. Enabling this broadens the upstream API surface exposed through the provider service
- gemini
Enterprise GetAi Gateway Model Provider Services Model Provider Service Config Gemini Enterprise - (ModelProviderServiceConfigGeminiEnterpriseProviderConfig)
- inference
Table GetAi Gateway Model Provider Services Model Provider Service Config Inference Table - (InferenceTableConfig) - Payload logging configuration for requests sent directly to this provider service. Requests routed through a model service are captured by that model service's inference table instead
- microsoft
Foundry GetAi Gateway Model Provider Services Model Provider Service Config Microsoft Foundry - (ModelProviderServiceConfigMicrosoftFoundryProviderConfig)
- openai
Get
Ai Gateway Model Provider Services Model Provider Service Config Openai - (ModelProviderServiceConfigOpenAiProviderConfig)
- provider
Type String - (string) - External model provider. Required on Create and immutable thereafter. Set
the matching provider-specific configuration, such as
openai,azureOpenai, oramazonBedrock. Possible values are:EXTERNAL_MODEL_PROVIDER_TYPE_AMAZON_BEDROCK,EXTERNAL_MODEL_PROVIDER_TYPE_ANTHROPIC,EXTERNAL_MODEL_PROVIDER_TYPE_AZURE_OPENAI,EXTERNAL_MODEL_PROVIDER_TYPE_CUSTOM,EXTERNAL_MODEL_PROVIDER_TYPE_GEMINI_ENTERPRISE,EXTERNAL_MODEL_PROVIDER_TYPE_MICROSOFT_FOUNDRY,EXTERNAL_MODEL_PROVIDER_TYPE_OPENAI - rate
Limits List<GetAi Gateway Model Provider Services Model Provider Service Config Rate Limit> - (list of RateLimit) - Rate limits for requests sent directly to this provider service. Requests routed through a model service use that model service's rate limits instead
- targets
List<Get
Ai Gateway Model Provider Services Model Provider Service Config Target> - (list of ModelProviderServiceConfigModelTargetConfig) - Models and provider-native API types exposed by this provider service. Each
entry must include at least one
nativeApiTypesvalue. WhenallowAllTargetsis false, at least one entry is required and model service destinations can reference only listed models. WhenallowAllTargetsis true, any upstream model is routable; entries in this list provide API-type metadata without restricting other models
- allow
All booleanTargets - (boolean) - When true, accepts any model exposed by the upstream provider;
targetsis not required and does not restrict routability. When false, only models listed intargetsare routable. Defaults to false - amazon
Bedrock GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock - (ModelProviderServiceConfigAmazonBedrockProviderConfig)
- anthropic
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic - (ModelProviderServiceConfigAnthropicProviderConfig)
- azure
Openai GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai - (ModelProviderServiceConfigAzureOpenAiProviderConfig)
- custom
Get
Ai Gateway Model Provider Services Model Provider Service Config Custom - (ModelProviderServiceConfigCustomProviderConfig)
- forward
Headers boolean - (boolean) - Whether to forward incoming HTTP headers to the upstream provider. Defaults to false and is configured for the entire provider service, not per request. Upstream authentication is configured separately in the provider-specific configuration
- forward
Query booleanParameters - (boolean) - Whether to forward incoming query parameters to the upstream provider. Defaults to false and is configured for the entire provider service, not per request
- forward
Unmanaged booleanPaths - (boolean) - Whether to proxy paths that AI Gateway does not recognize as configured provider-native API types. Defaults to false. When true, these paths are forwarded unchanged to the upstream provider. When false, only recognized API paths are served. Enabling this broadens the upstream API surface exposed through the provider service
- gemini
Enterprise GetAi Gateway Model Provider Services Model Provider Service Config Gemini Enterprise - (ModelProviderServiceConfigGeminiEnterpriseProviderConfig)
- inference
Table GetAi Gateway Model Provider Services Model Provider Service Config Inference Table - (InferenceTableConfig) - Payload logging configuration for requests sent directly to this provider service. Requests routed through a model service are captured by that model service's inference table instead
- microsoft
Foundry GetAi Gateway Model Provider Services Model Provider Service Config Microsoft Foundry - (ModelProviderServiceConfigMicrosoftFoundryProviderConfig)
- openai
Get
Ai Gateway Model Provider Services Model Provider Service Config Openai - (ModelProviderServiceConfigOpenAiProviderConfig)
- provider
Type string - (string) - External model provider. Required on Create and immutable thereafter. Set
the matching provider-specific configuration, such as
openai,azureOpenai, oramazonBedrock. Possible values are:EXTERNAL_MODEL_PROVIDER_TYPE_AMAZON_BEDROCK,EXTERNAL_MODEL_PROVIDER_TYPE_ANTHROPIC,EXTERNAL_MODEL_PROVIDER_TYPE_AZURE_OPENAI,EXTERNAL_MODEL_PROVIDER_TYPE_CUSTOM,EXTERNAL_MODEL_PROVIDER_TYPE_GEMINI_ENTERPRISE,EXTERNAL_MODEL_PROVIDER_TYPE_MICROSOFT_FOUNDRY,EXTERNAL_MODEL_PROVIDER_TYPE_OPENAI - rate
Limits GetAi Gateway Model Provider Services Model Provider Service Config Rate Limit[] - (list of RateLimit) - Rate limits for requests sent directly to this provider service. Requests routed through a model service use that model service's rate limits instead
- targets
Get
Ai Gateway Model Provider Services Model Provider Service Config Target[] - (list of ModelProviderServiceConfigModelTargetConfig) - Models and provider-native API types exposed by this provider service. Each
entry must include at least one
nativeApiTypesvalue. WhenallowAllTargetsis false, at least one entry is required and model service destinations can reference only listed models. WhenallowAllTargetsis true, any upstream model is routable; entries in this list provide API-type metadata without restricting other models
- allow_
all_ booltargets - (boolean) - When true, accepts any model exposed by the upstream provider;
targetsis not required and does not restrict routability. When false, only models listed intargetsare routable. Defaults to false - amazon_
bedrock GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock - (ModelProviderServiceConfigAmazonBedrockProviderConfig)
- anthropic
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic - (ModelProviderServiceConfigAnthropicProviderConfig)
- azure_
openai GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai - (ModelProviderServiceConfigAzureOpenAiProviderConfig)
- custom
Get
Ai Gateway Model Provider Services Model Provider Service Config Custom - (ModelProviderServiceConfigCustomProviderConfig)
- forward_
headers bool - (boolean) - Whether to forward incoming HTTP headers to the upstream provider. Defaults to false and is configured for the entire provider service, not per request. Upstream authentication is configured separately in the provider-specific configuration
- forward_
query_ boolparameters - (boolean) - Whether to forward incoming query parameters to the upstream provider. Defaults to false and is configured for the entire provider service, not per request
- forward_
unmanaged_ boolpaths - (boolean) - Whether to proxy paths that AI Gateway does not recognize as configured provider-native API types. Defaults to false. When true, these paths are forwarded unchanged to the upstream provider. When false, only recognized API paths are served. Enabling this broadens the upstream API surface exposed through the provider service
- gemini_
enterprise GetAi Gateway Model Provider Services Model Provider Service Config Gemini Enterprise - (ModelProviderServiceConfigGeminiEnterpriseProviderConfig)
- inference_
table GetAi Gateway Model Provider Services Model Provider Service Config Inference Table - (InferenceTableConfig) - Payload logging configuration for requests sent directly to this provider service. Requests routed through a model service are captured by that model service's inference table instead
- microsoft_
foundry GetAi Gateway Model Provider Services Model Provider Service Config Microsoft Foundry - (ModelProviderServiceConfigMicrosoftFoundryProviderConfig)
- openai
Get
Ai Gateway Model Provider Services Model Provider Service Config Openai - (ModelProviderServiceConfigOpenAiProviderConfig)
- provider_
type str - (string) - External model provider. Required on Create and immutable thereafter. Set
the matching provider-specific configuration, such as
openai,azureOpenai, oramazonBedrock. Possible values are:EXTERNAL_MODEL_PROVIDER_TYPE_AMAZON_BEDROCK,EXTERNAL_MODEL_PROVIDER_TYPE_ANTHROPIC,EXTERNAL_MODEL_PROVIDER_TYPE_AZURE_OPENAI,EXTERNAL_MODEL_PROVIDER_TYPE_CUSTOM,EXTERNAL_MODEL_PROVIDER_TYPE_GEMINI_ENTERPRISE,EXTERNAL_MODEL_PROVIDER_TYPE_MICROSOFT_FOUNDRY,EXTERNAL_MODEL_PROVIDER_TYPE_OPENAI - rate_
limits Sequence[GetAi Gateway Model Provider Services Model Provider Service Config Rate Limit] - (list of RateLimit) - Rate limits for requests sent directly to this provider service. Requests routed through a model service use that model service's rate limits instead
- targets
Sequence[Get
Ai Gateway Model Provider Services Model Provider Service Config Target] - (list of ModelProviderServiceConfigModelTargetConfig) - Models and provider-native API types exposed by this provider service. Each
entry must include at least one
nativeApiTypesvalue. WhenallowAllTargetsis false, at least one entry is required and model service destinations can reference only listed models. WhenallowAllTargetsis true, any upstream model is routable; entries in this list provide API-type metadata without restricting other models
- allow
All BooleanTargets - (boolean) - When true, accepts any model exposed by the upstream provider;
targetsis not required and does not restrict routability. When false, only models listed intargetsare routable. Defaults to false - amazon
Bedrock Property Map - (ModelProviderServiceConfigAmazonBedrockProviderConfig)
- anthropic Property Map
- (ModelProviderServiceConfigAnthropicProviderConfig)
- azure
Openai Property Map - (ModelProviderServiceConfigAzureOpenAiProviderConfig)
- custom Property Map
- (ModelProviderServiceConfigCustomProviderConfig)
- forward
Headers Boolean - (boolean) - Whether to forward incoming HTTP headers to the upstream provider. Defaults to false and is configured for the entire provider service, not per request. Upstream authentication is configured separately in the provider-specific configuration
- forward
Query BooleanParameters - (boolean) - Whether to forward incoming query parameters to the upstream provider. Defaults to false and is configured for the entire provider service, not per request
- forward
Unmanaged BooleanPaths - (boolean) - Whether to proxy paths that AI Gateway does not recognize as configured provider-native API types. Defaults to false. When true, these paths are forwarded unchanged to the upstream provider. When false, only recognized API paths are served. Enabling this broadens the upstream API surface exposed through the provider service
- gemini
Enterprise Property Map - (ModelProviderServiceConfigGeminiEnterpriseProviderConfig)
- inference
Table Property Map - (InferenceTableConfig) - Payload logging configuration for requests sent directly to this provider service. Requests routed through a model service are captured by that model service's inference table instead
- microsoft
Foundry Property Map - (ModelProviderServiceConfigMicrosoftFoundryProviderConfig)
- openai Property Map
- (ModelProviderServiceConfigOpenAiProviderConfig)
- provider
Type String - (string) - External model provider. Required on Create and immutable thereafter. Set
the matching provider-specific configuration, such as
openai,azureOpenai, oramazonBedrock. Possible values are:EXTERNAL_MODEL_PROVIDER_TYPE_AMAZON_BEDROCK,EXTERNAL_MODEL_PROVIDER_TYPE_ANTHROPIC,EXTERNAL_MODEL_PROVIDER_TYPE_AZURE_OPENAI,EXTERNAL_MODEL_PROVIDER_TYPE_CUSTOM,EXTERNAL_MODEL_PROVIDER_TYPE_GEMINI_ENTERPRISE,EXTERNAL_MODEL_PROVIDER_TYPE_MICROSOFT_FOUNDRY,EXTERNAL_MODEL_PROVIDER_TYPE_OPENAI - rate
Limits List<Property Map> - (list of RateLimit) - Rate limits for requests sent directly to this provider service. Requests routed through a model service use that model service's rate limits instead
- targets List<Property Map>
- (list of ModelProviderServiceConfigModelTargetConfig) - Models and provider-native API types exposed by this provider service. Each
entry must include at least one
nativeApiTypesvalue. WhenallowAllTargetsis false, at least one entry is required and model service destinations can reference only listed models. WhenallowAllTargetsis true, any upstream model is routable; entries in this list provide API-type metadata without restricting other models
GetAiGatewayModelProviderServicesModelProviderServiceConfigAmazonBedrock
- Direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- Direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct Property Map
- (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
GetAiGatewayModelProviderServicesModelProviderServiceConfigAmazonBedrockDirect
- Aws
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key - (ModelProviderServiceConfigAwsAccessKey) - AWS access-key-pair authentication. Set
accessKeyIdandsecret_access_key.plaintext. Mutually exclusive withserviceCredential - Region string
- (string) - GCP region of the Gemini Enterprise endpoint (e.g.,
us-central1). Required on Create - Service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- Aws
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key - (ModelProviderServiceConfigAwsAccessKey) - AWS access-key-pair authentication. Set
accessKeyIdandsecret_access_key.plaintext. Mutually exclusive withserviceCredential - Region string
- (string) - GCP region of the Gemini Enterprise endpoint (e.g.,
us-central1). Required on Create - Service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- aws_
access_ objectkey - (ModelProviderServiceConfigAwsAccessKey) - AWS access-key-pair authentication. Set
accessKeyIdandsecret_access_key.plaintext. Mutually exclusive withserviceCredential - region string
- (string) - GCP region of the Gemini Enterprise endpoint (e.g.,
us-central1). Required on Create - service_
credential object - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- aws
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key - (ModelProviderServiceConfigAwsAccessKey) - AWS access-key-pair authentication. Set
accessKeyIdandsecret_access_key.plaintext. Mutually exclusive withserviceCredential - region String
- (string) - GCP region of the Gemini Enterprise endpoint (e.g.,
us-central1). Required on Create - service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- aws
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key - (ModelProviderServiceConfigAwsAccessKey) - AWS access-key-pair authentication. Set
accessKeyIdandsecret_access_key.plaintext. Mutually exclusive withserviceCredential - region string
- (string) - GCP region of the Gemini Enterprise endpoint (e.g.,
us-central1). Required on Create - service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- aws_
access_ Getkey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key - (ModelProviderServiceConfigAwsAccessKey) - AWS access-key-pair authentication. Set
accessKeyIdandsecret_access_key.plaintext. Mutually exclusive withserviceCredential - region str
- (string) - GCP region of the Gemini Enterprise endpoint (e.g.,
us-central1). Required on Create - service_
credential GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- aws
Access Property MapKey - (ModelProviderServiceConfigAwsAccessKey) - AWS access-key-pair authentication. Set
accessKeyIdandsecret_access_key.plaintext. Mutually exclusive withserviceCredential - region String
- (string) - GCP region of the Gemini Enterprise endpoint (e.g.,
us-central1). Required on Create - service
Credential Property Map - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
GetAiGatewayModelProviderServicesModelProviderServiceConfigAmazonBedrockDirectAwsAccessKey
- Access
Key stringId - (string) - AWS access key ID. Required on Create when using access-key auth. Treated as username-equivalent (not a secret value): round-trips on reads and is scrubbed from audit logs
- Secret
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key - (ModelProviderServiceConfigProviderSecret) - AWS secret access key paired with
accessKeyId. Required when creating a service with access-key authentication. Supply the value insecret_access_key.plaintext
- Access
Key stringId - (string) - AWS access key ID. Required on Create when using access-key auth. Treated as username-equivalent (not a secret value): round-trips on reads and is scrubbed from audit logs
- Secret
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key - (ModelProviderServiceConfigProviderSecret) - AWS secret access key paired with
accessKeyId. Required when creating a service with access-key authentication. Supply the value insecret_access_key.plaintext
- access_
key_ stringid - (string) - AWS access key ID. Required on Create when using access-key auth. Treated as username-equivalent (not a secret value): round-trips on reads and is scrubbed from audit logs
- secret_
access_ objectkey - (ModelProviderServiceConfigProviderSecret) - AWS secret access key paired with
accessKeyId. Required when creating a service with access-key authentication. Supply the value insecret_access_key.plaintext
- access
Key StringId - (string) - AWS access key ID. Required on Create when using access-key auth. Treated as username-equivalent (not a secret value): round-trips on reads and is scrubbed from audit logs
- secret
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key - (ModelProviderServiceConfigProviderSecret) - AWS secret access key paired with
accessKeyId. Required when creating a service with access-key authentication. Supply the value insecret_access_key.plaintext
- access
Key stringId - (string) - AWS access key ID. Required on Create when using access-key auth. Treated as username-equivalent (not a secret value): round-trips on reads and is scrubbed from audit logs
- secret
Access GetKey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key - (ModelProviderServiceConfigProviderSecret) - AWS secret access key paired with
accessKeyId. Required when creating a service with access-key authentication. Supply the value insecret_access_key.plaintext
- access_
key_ strid - (string) - AWS access key ID. Required on Create when using access-key auth. Treated as username-equivalent (not a secret value): round-trips on reads and is scrubbed from audit logs
- secret_
access_ Getkey Ai Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key - (ModelProviderServiceConfigProviderSecret) - AWS secret access key paired with
accessKeyId. Required when creating a service with access-key authentication. Supply the value insecret_access_key.plaintext
- access
Key StringId - (string) - AWS access key ID. Required on Create when using access-key auth. Treated as username-equivalent (not a secret value): round-trips on reads and is scrubbed from audit logs
- secret
Access Property MapKey - (ModelProviderServiceConfigProviderSecret) - AWS secret access key paired with
accessKeyId. Required when creating a service with access-key authentication. Supply the value insecret_access_key.plaintext
GetAiGatewayModelProviderServicesModelProviderServiceConfigAmazonBedrockDirectAwsAccessKeySecretAccessKey
- Plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - Secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- Plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - Secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret_
reference object - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext String
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext str
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret_
reference GetAi Gateway Model Provider Services Model Provider Service Config Amazon Bedrock Direct Aws Access Key Secret Access Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext String
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference Property Map - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
GetAiGatewayModelProviderServicesModelProviderServiceConfigAmazonBedrockDirectAwsAccessKeySecretAccessKeySecretReference
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name str
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
GetAiGatewayModelProviderServicesModelProviderServiceConfigAmazonBedrockDirectServiceCredential
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name str
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
GetAiGatewayModelProviderServicesModelProviderServiceConfigAnthropic
- Direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- Relayed
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Relayed - (ModelProviderServiceConfigAnthropicProviderRelayedConfig) - Relayed authentication. Each inference request supplies the caller's
OAuth token, which is forwarded to Anthropic. No Anthropic credential is
stored. Mutually exclusive with
direct
- Direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- Relayed
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Relayed - (ModelProviderServiceConfigAnthropicProviderRelayedConfig) - Relayed authentication. Each inference request supplies the caller's
OAuth token, which is forwarded to Anthropic. No Anthropic credential is
stored. Mutually exclusive with
direct
- direct object
- (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- relayed object
- (ModelProviderServiceConfigAnthropicProviderRelayedConfig) - Relayed authentication. Each inference request supplies the caller's
OAuth token, which is forwarded to Anthropic. No Anthropic credential is
stored. Mutually exclusive with
direct
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- relayed
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Relayed - (ModelProviderServiceConfigAnthropicProviderRelayedConfig) - Relayed authentication. Each inference request supplies the caller's
OAuth token, which is forwarded to Anthropic. No Anthropic credential is
stored. Mutually exclusive with
direct
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- relayed
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Relayed - (ModelProviderServiceConfigAnthropicProviderRelayedConfig) - Relayed authentication. Each inference request supplies the caller's
OAuth token, which is forwarded to Anthropic. No Anthropic credential is
stored. Mutually exclusive with
direct
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- relayed
Get
Ai Gateway Model Provider Services Model Provider Service Config Anthropic Relayed - (ModelProviderServiceConfigAnthropicProviderRelayedConfig) - Relayed authentication. Each inference request supplies the caller's
OAuth token, which is forwarded to Anthropic. No Anthropic credential is
stored. Mutually exclusive with
direct
- direct Property Map
- (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- relayed Property Map
- (ModelProviderServiceConfigAnthropicProviderRelayedConfig) - Relayed authentication. Each inference request supplies the caller's
OAuth token, which is forwarded to Anthropic. No Anthropic credential is
stored. Mutually exclusive with
direct
GetAiGatewayModelProviderServicesModelProviderServiceConfigAnthropicDirect
- Api
Key GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext
- Api
Key GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext
- api
Key GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext
- api
Key GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext
- api_
key GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext
- api
Key Property Map - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext
GetAiGatewayModelProviderServicesModelProviderServiceConfigAnthropicDirectApiKey
- Plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - Secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- Plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - Secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret_
reference object - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext String
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext str
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret_
reference GetAi Gateway Model Provider Services Model Provider Service Config Anthropic Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext String
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference Property Map - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
GetAiGatewayModelProviderServicesModelProviderServiceConfigAnthropicDirectApiKeySecretReference
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name str
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
GetAiGatewayModelProviderServicesModelProviderServiceConfigAzureOpenai
- Direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- Direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct
Get
Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct - (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
- direct Property Map
- (ModelProviderServiceConfigOpenAiProviderDirectConfig) - OpenAI configuration with an API key supplied in the request
GetAiGatewayModelProviderServicesModelProviderServiceConfigAzureOpenaiDirect
- Api
Key GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext - Base
Url string - (string) - Optional custom base URL. Defaults to
https://api.openai.com/v1. Use for OpenAI-API-compatible third-party endpoints or in-network proxies - Entra
Service GetPrincipal Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Entra Service Principal - (ModelProviderServiceConfigEntraServicePrincipal) - Entra ID service-principal authentication. Set
tenantId,clientId, andclient_secret.plaintext. Mutually exclusive withapiKeyandserviceCredential - Service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- Api
Key GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext - Base
Url string - (string) - Optional custom base URL. Defaults to
https://api.openai.com/v1. Use for OpenAI-API-compatible third-party endpoints or in-network proxies - Entra
Service GetPrincipal Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Entra Service Principal - (ModelProviderServiceConfigEntraServicePrincipal) - Entra ID service-principal authentication. Set
tenantId,clientId, andclient_secret.plaintext. Mutually exclusive withapiKeyandserviceCredential - Service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- api_
key object - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext - base_
url string - (string) - Optional custom base URL. Defaults to
https://api.openai.com/v1. Use for OpenAI-API-compatible third-party endpoints or in-network proxies - entra_
service_ objectprincipal - (ModelProviderServiceConfigEntraServicePrincipal) - Entra ID service-principal authentication. Set
tenantId,clientId, andclient_secret.plaintext. Mutually exclusive withapiKeyandserviceCredential - service_
credential object - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- api
Key GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext - base
Url String - (string) - Optional custom base URL. Defaults to
https://api.openai.com/v1. Use for OpenAI-API-compatible third-party endpoints or in-network proxies - entra
Service GetPrincipal Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Entra Service Principal - (ModelProviderServiceConfigEntraServicePrincipal) - Entra ID service-principal authentication. Set
tenantId,clientId, andclient_secret.plaintext. Mutually exclusive withapiKeyandserviceCredential - service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- api
Key GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext - base
Url string - (string) - Optional custom base URL. Defaults to
https://api.openai.com/v1. Use for OpenAI-API-compatible third-party endpoints or in-network proxies - entra
Service GetPrincipal Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Entra Service Principal - (ModelProviderServiceConfigEntraServicePrincipal) - Entra ID service-principal authentication. Set
tenantId,clientId, andclient_secret.plaintext. Mutually exclusive withapiKeyandserviceCredential - service
Credential GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- api_
key GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext - base_
url str - (string) - Optional custom base URL. Defaults to
https://api.openai.com/v1. Use for OpenAI-API-compatible third-party endpoints or in-network proxies - entra_
service_ Getprincipal Ai Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Entra Service Principal - (ModelProviderServiceConfigEntraServicePrincipal) - Entra ID service-principal authentication. Set
tenantId,clientId, andclient_secret.plaintext. Mutually exclusive withapiKeyandserviceCredential - service_
credential GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Service Credential - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
- api
Key Property Map - (ModelProviderServiceConfigProviderSecret) - OpenAI API key. Required when creating the service. Supply the value in
api_key.plaintext - base
Url String - (string) - Optional custom base URL. Defaults to
https://api.openai.com/v1. Use for OpenAI-API-compatible third-party endpoints or in-network proxies - entra
Service Property MapPrincipal - (ModelProviderServiceConfigEntraServicePrincipal) - Entra ID service-principal authentication. Set
tenantId,clientId, andclient_secret.plaintext. Mutually exclusive withapiKeyandserviceCredential - service
Credential Property Map - (ModelProviderServiceConfigServiceCredential) - Reference to a Unity Catalog service credential authorizing Microsoft
Foundry requests. On Create, supply
service_credential.namein the formcredentials/{name}. Required on Create when using service-credential authentication; mutually exclusive withapiKeyandentraServicePrincipal. The credential is referenced by name; its value is not carried here. Only supported on Azure-hosted workspaces
GetAiGatewayModelProviderServicesModelProviderServiceConfigAzureOpenaiDirectApiKey
- Plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - Secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- Plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - Secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret_
reference object - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext String
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext string
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext str
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret_
reference GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Api Key Secret Reference - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
- plaintext String
- (string) - Inline plaintext credential. INPUT_ONLY: the value never round-trips on
reads. Get and List responses omit
plaintext; the enclosing secret object remains present to indicate that a secret is configured - secret
Reference Property Map - (ModelProviderServiceConfigSecretReference) - Reference to a customer-owned UC Secret that carries this secret value.
The value is read at invoke time under the model provider service
owner's access and is never copied onto the model provider service, so
rotating the UC Secret takes effect with no change to the model provider
service. On Create, supply
secret_reference.nameassecrets/{catalog}.{schema}.{secret}
GetAiGatewayModelProviderServicesModelProviderServiceConfigAzureOpenaiDirectApiKeySecretReference
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- Name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name string
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name str
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
- name String
- (string) - Resource name of the bound Unity Catalog service credential, in the form
credentials/{name}. Supply this field when creating the service or rebinding its credential. On read, it reflects the credential's current name
GetAiGatewayModelProviderServicesModelProviderServiceConfigAzureOpenaiDirectEntraServicePrincipal
- Client
Id string - (string) - Entra ID client (application) ID. Required on Create
- Client
Secret GetAi Gateway Model Provider Services Model Provider Service Config Azure Openai Direct Entra Service Principal Client Secret - (ModelProviderServiceConfigProviderSecret) - Entra ID client secret. Supply the value in
client_secret.plaintext - Tenant
[...]
